import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import StiRectangleGeometryLayout from "../computed/StiRectangleGeometryLayout";
import { StiFormElement } from "../elements/base/StiFormElement";
import { StiPanelElement } from "../elements/StiPanelElement";
import { StiBorderArea } from "../properties/StiBorderArea";
import { StiModelService } from "../services/model.service";
import * as i0 from "@angular/core";
export declare class StiComponentHolderComponent implements OnInit {
    element: StiFormElement;
    isClone: boolean;
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiComponentHolderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiComponentHolderComponent, "sti-component-holder", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class StiPanelComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    render: StiRectangleGeometryLayout;
    ref: ElementRef;
    element: StiPanelElement;
    isClone: boolean;
    currentBottomPoint: number;
    get elements(): StiFormElement[];
    get borderArea(): StiBorderArea;
    get align(): string;
    get minWidth(): number | "min-content";
    get minHeight(): number;
    constructor(model: StiModelService, render: StiRectangleGeometryLayout);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiPanelComponent, "sti-panel-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
